## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ProblemListener Class Reference

This is the abstract class that the XSL processor uses when it has a problem of some kind, that requires a message, an error or a warning. More...

Inheritance diagram for ProblemListener:

[legend]
List of all members.

## Public Types

- enum eProblemSource { eXMLPARSER = 1, eXSLPROCESSOR = 2, eXPATH = 3 }
    Sources of problem. More...
- enum eClassification { eMESSAGE = 0, eWARNING = 1, eERROR = 2 }
    Severity of problem. More...

## Public Member Functions

- ProblemListener ()
- virtual ~ProblemListener ()
- virtual void setPrintWriter (PrintWriter *pw)=0
    Set the print writer to which the problem is reported.
- virtual void problem (eProblemSource where, eClassification classification, const XalanNode *sourceNode, const ElemTemplateElement *styleNode, const XalanDOMString &msg, const XalanDOMChar *uri, int lineNo, int charOffset)=0
    Function that is called when a problem event occurs.

## Detailed Description

This is the abstract class that the XSL processor uses when it has a problem of some kind, that requires a message, an error or a warning.

Users should ask the XSLTProcessor class to setProblemListener if they wish an object instance to be called when a problem event occurs.

## Member Enumeration Documentation

enum ProblemListener::eClassification

Severity of problem.

Enumeration values:

  eMESSAGE |
  eWARNING |
  eERROR |

enum ProblemListener::eProblemSource

Sources of problem.

Enumeration values:

  eXMLPARSER |
  eXSLPROCESSOR |
  eXPATH |

## Constructor & Destructor Documentation

ProblemListener::ProblemListener | ( |  | ) |

virtual ProblemListener::~ProblemListener | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void ProblemListener::problem | ( | eProblemSource | where,
|  | eClassification | classification,
|  | const XalanNode * | sourceNode,
|  | const ElemTemplateElement * | styleNode,
|  | const XalanDOMString & | msg,
|  | const XalanDOMChar * | uri,
|  | int | lineNo,
|  | int | charOffset
| ) | `[pure virtual]`

Function that is called when a problem event occurs.

Parameters:

  where | either in XMLPARSER, XSLPROCESSOR, or QUERYENGINE
  classification | either MESSAGE, ERROR or WARNING
  sourceNode | source tree node where the problem occurred (may be 0)
  styleNode | style tree node where the problem occurred (may be 0)
  msg | string message explaining the problem.
  uri | the URI of the document where the problem occurred. May be 0.
  lineNo | line number where the problem occurred.
  charOffset | character offset where the problem.

Implemented in XalanTransformerProblemListener, and ProblemListenerDefault.

virtual void ProblemListener::setPrintWriter | ( | PrintWriter * | pw | ) | `[pure virtual]`

Set the print writer to which the problem is reported.

Parameters:

  pw | writer to receive messages

Implemented in XalanTransformerProblemListener, and ProblemListenerDefault.

The documentation for this class was generated from the following file:

- ProblemListener.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.